﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.23.36dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.23.36dev/BraveSetup-x64.exe'
  checksum       = 'a5d5b11ccd6127fee9a672633a16eb652f8d78998f0e984dd322e1e932c399da'
  checksum64     = '7ca37b09410cfdddb7a754bffa09b79e90fe6d3140d4655b7251d477292591ce'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
